#include <fstream>
using namespace std;
int main()
{
    ifstream f1("N!!.inp");
    ofstream f2("N!!.out");
    int i,j = 1;
    f1 >> i;
    f1.close();
    if (i%2==0)
    {
        for (int n = 2; n <= i; n = n + 2)
        {
            j = j * n;
        }
    }
    else
    {
        for (int m = 1; m <= i; m = m + 2)
        {
            j = j * m;
        }
    }
    f2 << j;
    f2.close();
    return 0;
}
